Bug 984331 - samba-common tmpfiles configuration file in wrong directory
samba-common tmpfiles configuration file in wrong directory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 20:53 EDT by Eric Smith
Modified: 2014-10-07 09:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-07 09:57:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2013-07-14 20:53:20 EDT
Description of problem:

This package installs a configuration file in /etc/tmpfiles.d which actually belongs in the %{_prefix}/lib/tmpfiles.d directory.  This requirement changed as of 6 June 2012 revision of the Fedora tmpfiles packaging guidelines.  The intent of /etc/tmpfiles.d to be used by local administrators to override default policy in /usr/lib/tmpfiles.d as documented in the tmpfiles.d(5) man page.

The current Fedora Tmpfiles.d packaging guidelines may be found at:
http://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 1 Andreas Schneider 2013-07-15 10:32:19 EDT
I will fix it, thanks!
Comment 2 Andreas Schneider 2014-10-07 09:57:20 EDT
This has already been fixed.

Note You need to log in before you can comment on or make changes to this bug.